/* NO CHART */
.spc-dot-stat-no-chart.media p {
  font-size: 1em;
}

/* CHART */
.sdd-chart-panel {
  padding: 2rem;
}
.tab-pane {
  padding: 1rem 0;
}
.highcharts-chart {
  min-width: 320px;
  max-width: 100%;
  overflow: visible !important;
  margin: 0 auto;
  text-align: center;
}
.highcharts-chart svg.highcharts-loader {
  margin: 3rem auto;
  width: 50px;
  height: 40px;
  fill: #ccc;
}
.highcharts-menu hr {
  margin: .5rem 0;
}
.highcharts-container {
  overflow: visible !important;
}
.highcharts-data-table {
  text-align: center;
}
.highcharts-data-table table {
    border-collapse: collapse;
    border-spacing: 0;
    background: white;
    margin: 0 auto;
    font-family: sans-serif;
    font-size: 0.9em;
}
.highcharts-container .highcharts-data-table table {
  margin: 1rem auto;
}
.highcharts-data-table td, .highcharts-data-table th, .highcharts-data-table caption {
    border: 1px solid silver;
    padding: 0.25em 0.5em;
    min-width: 100px;
}
.highcharts-data-table tr:nth-child(even), .highcharts-data-table thead tr {
    background: #f8f8f8;
}
.highcharts-data-table tr:hover {
    background: #eff;
}
.highcharts-data-table caption {
    caption-side: top;
    border: 0 none;
    font-size: 1.1em;
    font-style: italic;
    white-space: nowrap;
}
.highcharts-jsondata {
  margin-top: 2rem;
  font-family: monospace;
  font-size: 11px;
}

/* Multi pyramid */
.highcharts-population-pyramid-multi {
  position: relative
}
.spc-chart-switching-buddy {
  position: absolute;
  top: 10px;
  left: 0;
  z-index: 99;
}
.spc-chart-switching-buddy button {
  box-sizing: border-box;
  height: 16px;
  border-color: transparent transparent transparent #5178ae;
  transition: 100ms all ease;
  will-change: border-width;
  cursor: pointer;
  border-style: solid;
  border-width: 8px 0 8px 12px;
  background-color: transparent;
  padding: 0;
  margin: 4px 10px 0;
  float: right;
  outline: none !important;
}
.spc-chart-switching-buddy button.pause {
  border-color: transparent transparent transparent #777;
  border-style: double;
  border-width: 0px 0 0px 12px;
}

/* Racing Pyramid */
.highcharts-population-pyramid-race {
  position: relative;
}
.spc-play-controls {
  width: 100%;
  height: 20px;
  display: flex;
  align-items: center;
}
.spc-play-controls .spc-play-button-div {
  flex: 0 0 24px;
}
.spc-play-controls .spc-play-range-div {
  flex: 1 0 auto;
}
.spc-play-controls .spc-play-name-div {
  flex: 0 0 80px;
  text-align: right;
}
.spc-play-controls .spc-play-pause-button {
  box-sizing: border-box;
  height: 16px;
  border-color: transparent transparent transparent #5178ae;
  transition: 100ms all ease;
  will-change: border-width;
  cursor: pointer;
  border-style: solid;
  border-width: 8px 0 8px 12px;
  background-color: transparent;
  padding: 0;
  margin: 4px 10px 0;
  float: left;
  outline: none !important;
}
.spc-play-controls .spc-play-pause-button.pause {
  border-color: transparent transparent transparent #777;
  border-style: double;
  border-width: 0px 0 0px 12px;
}
.spc-play-controls .spc-play-range {
  width: 100%;
  transform: translateY(3px);
}
.spc-play-controls .spc-play-name {
  font-size: 24px;
}

/* Multi source */
.spc-chart-alt-source {
  margin-right: .5em;
}

/* Drilldown tip */
.spc-chart-drilldown {
  font-style: italic;
}
.spc-chart-drilldown::before {
  display:inline-block;
  content: "\00AB";
  width: 16px;
  height: 16px;
  font-size: 16px;
  font-style: normal;
  line-height: 14px;
  text-align: center;
  vertical-align: middle;
  background-color: #999;
  color: #fff;
  border-radius: 50%;
  transform: rotate(90deg);
  margin-right: 6px;
}
.modal {
    display: none;
}